All Classes Namespaces Functions Variables Pages
Discrete3DFunction Class Reference

This is a TabulatedFunction that computes a discrete three dimensional function f(x,y,z). More...

Inheritance diagram for Discrete3DFunction:

## Public Member Functions

def | __init__
| init(OpenMM::Discrete3DFunction self, int xsize, int ysize, int zsize, vectord values) -> Discrete3DFunction More...
def | getFunctionParameters
| getFunctionParameters(Discrete3DFunction self) More...
def | setFunctionParameters
| setFunctionParameters(Discrete3DFunction self, int xsize, int ysize, int zsize, vectord values) More...
def | Copy
| Copy(Discrete3DFunction self) -> Discrete3DFunction. More...
def | __del__
| del(OpenMM::Discrete3DFunction self) More...
Public Member Functions inherited from TabulatedFunction
def | __init__
def | __del__
| del(OpenMM::TabulatedFunction self) More...
def | Copy
| Copy(TabulatedFunction self) -> TabulatedFunction. More...

## Public Attributes

| this

## Detailed Description

This is a TabulatedFunction that computes a discrete three dimensional function f(x,y,z).

To evaluate it, x, y, and z are each rounded to the nearest integer and the table element with those indices is returned. If any index is outside the range [0, size), the result is undefined.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::Discrete3DFunction self, int xsize, int ysize, int zsize, vectord values) -> Discrete3DFunction

This is a TabulatedFunction that computes a discrete three dimensional function f(x,y,z). To evaluate it, x, y, and z are each rounded to the nearest integer and the table element with those indices is returned. If any index is outside the range [0, size), the result is undefined.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::Discrete3DFunction self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def Copy | ( |  | self | ) |

Copy(Discrete3DFunction self) -> Discrete3DFunction.

References simtk.openmm.openmm.stripUnits().

def getFunctionParameters | ( |  | self | ) |

getFunctionParameters(Discrete3DFunction self)

References simtk.openmm.openmm.stripUnits().

def setFunctionParameters | ( |  | self,
|  |  | args
| ) |  |

setFunctionParameters(Discrete3DFunction self, int xsize, int ysize, int zsize, vectord values)

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py